Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 20 Aug 2018, 05:14
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
Can't use my HP Laserjet Pro 200. How to update hplip?
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 4 [55 Posts]   Goto page: Previous 1, 2, 3, 4
Author Message
LeithR

Joined: 24 Jan 2011
Posts: 277
Location: Kemnay, Aberdeenshire/Scotland

PostPosted: Mon 10 Apr 2017, 10:10    Post subject:  

We are shutting up shop for today. will come back to this on Thursday. Thanks
Back to top
View user's profile Send private message 
LeithR

Joined: 24 Jan 2011
Posts: 277
Location: Kemnay, Aberdeenshire/Scotland

PostPosted: Wed 12 Apr 2017, 15:47    Post subject:  

Is that this instruction?
2. Change "Loglevel info" to "Loglevel debug"

I checked that before I left the Shed on Monday, it still read "Loglevel debug"
will get onto it again in the morning.
Back to top
View user's profile Send private message 
LeithR

Joined: 24 Jan 2011
Posts: 277
Location: Kemnay, Aberdeenshire/Scotland

PostPosted: Thu 13 Apr 2017, 06:16    Post subject:  

rcrsn51 wrote:
You need to go farther up and find the actual filter error.

Also, open a terminal and type the command: /usr/lib/cups/filter/hpps


To my untutored eye, there doesn't seem to be a command after /usr/lib/cups/filter/hpps, just the path?
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12276
Location: Stratford, Ontario

PostPosted: Thu 13 Apr 2017, 19:26    Post subject:  

LeithR wrote:
Is that this instruction?
2. Change "Loglevel info" to "Loglevel debug"


Quote:
HP has added some enterprise features that require Python.

2. Some Puppies, like Tahrpup, already have basic Python. Otherwise, get it here.
Back to top
View user's profile Send private message 
LeithR

Joined: 24 Jan 2011
Posts: 277
Location: Kemnay, Aberdeenshire/Scotland

PostPosted: Tue 18 Apr 2017, 03:38    Post subject:  

Updated this yesterday - Success, I installed Python and the printer is now working as a usb connected device. Many thanks for that!!

Tried to let you know then but our Broadband went down so couldn't.

There is more work to do to get it working as a wifi connected printer.

I also became a grandad for the third time yesterday.
Back to top
View user's profile Send private message 
LeithR

Joined: 24 Jan 2011
Posts: 277
Location: Kemnay, Aberdeenshire/Scotland

PostPosted: Wed 21 Mar 2018, 05:33    Post subject:  

Hi Bill,
I've had to update my laptop, now using a Dell Inspiron1545, I've loaded Slacko 6.9.6.7 and having difficulties getting the printer working again. Your links mentioned in steps 2 and 3 related to python are no longer working. Can you give me alternative links to get these files please?

rcrsn51 wrote:
That's good news. I suspect that you never installed the libjpeg7 patch PET the first time.

Regarding running the commands. You must open the terminal INSIDE the target folder by pressing the backtick key (the lower-case ~ key).

Here are the steps for your Laserjet. Let's hope that it goes more smoothly.

It looks like your printer is Postscript-capable. HPLIP handles Postscript printers separately - that's why they don't appear in the standard CUPS model list. A generic Postscript printer should be easy to install, but HP has added some enterprise features that require Python.

1. Connect the unit directly by USB. Once it's installed, we can look at networking.

2. Some Puppies, like Tahrpup, already have basic Python. Otherwise, get it here.

3. Install the http://www.mediafire.com/file/snqps3g5pcra4c5/hplip_python_stuff-3.16.5.pet.

4. Install the hplip_scan-3.16.5.pet from the download link in How to Install your Printer in Puppy (if you have not already). You don't need hplip_print for Postscript printers.

5. For Slacko, install the libjpeg_fix-7.1.pet, just to be safe.

6. Install the hplip_plugins-3.16.5.pet attached below.

7. Extract and copy the attached PPD file to /usr/share/cups/model.

8. Run the CUPS wizard. Your printer may be listed as an "HP LaserJet 200 color MFP M276 Postscript", NOT as a "Laserjet Pro".

Last edited by LeithR on Thu 22 Mar 2018, 08:58; edited 1 time in total
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 10874
Location: Charleston S.C. USA

PostPosted: Wed 21 Mar 2018, 05:54    Post subject:  

Quote:
Slacko 6.9.5.7

You are using one of the development versions of Slacko and they did have bugs.

Slacko 6.9.9.9 is the latest version that will turn into Slacko 7.0 when it is totally tested.
I would say it has to be better than 6.9.5.7.
http://www.murga-linux.com/puppy/viewtopic.php?t=110510

The release version of Slacko is Slacko 6.3.2.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
LeithR

Joined: 24 Jan 2011
Posts: 277
Location: Kemnay, Aberdeenshire/Scotland

PostPosted: Wed 21 Mar 2018, 09:50    Post subject:  

Thanks bigpup,
I have a copy of 6.9.9.9 but it seems to be a bit fussy on which machines it will run. whereas 6.9.6.7 has worked on all the machines I've tried it on.
Back to top
View user's profile Send private message 
LeithR

Joined: 24 Jan 2011
Posts: 277
Location: Kemnay, Aberdeenshire/Scotland

PostPosted: Tue 27 Mar 2018, 03:38    Post subject:  

I've been hoping to hear from rcrsn51 to help with his link to mediafire without success.
Have we lost him again, hope not!
Back to top
View user's profile Send private message 
LeithR

Joined: 24 Jan 2011
Posts: 277
Location: Kemnay, Aberdeenshire/Scotland

PostPosted: Fri 06 Apr 2018, 15:51    Post subject:  

rcrsn51
Not got a response from you, hopefully you are well. On this thread earlier you directed me to mediafire to fill requirements of items 2 and 3 below. the temporary link has now run out and I can't pick up these python requirements. Can you renew the links for me please. Thanks

Quote:


2. Some Puppies, like Tahrpup, already have basic Python. Otherwise, get it here.

3. Install the http://www.mediafire.com/file/snqps3g5pcra4c5/hplip_python_stuff-3.16.5.pet.

Thanks
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 4 [55 Posts]   Goto page: Previous 1, 2, 3, 4
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0549s ][ Queries: 14 (0.0131s) ][ GZIP on ]